API documentation

CloudPOS

Authentication


The license name and token must be included in the header with every call. You can obtain this via our support service. We use the POST method in every endpoint. This is done because almost all endpoints can either pass data or apply filters. All endpoints must be called via an https url.

Error codes


1001: License name and token cannot be empty
1002: Invalid license name or token
1003: Limit of total requests per day reached, next request possible 'datetime'
1004: 5 bad logins reached, your ip adress is blocked till 'datetime'
1005: No license for this module
1006: This method is not allowed in this endpoint
1007: Invalid url

2000: Called endpoint returned an error

Changelog


Version 3.6.0.30, 19-08-2026
└►weborder.select endpoint added
└►order_reference added in document.select
└►hasvatticket added in document.select
└►API and license version added to result

Version 3.6.0.20, 13-01-2026
└►delivery_address added to customer.select

Version 3.6.0.17, 19-09-2025
└►kioskorder added to weborder.insert

Version 3.6.0.16, 12-09-2025
└►vatticketpdf.select endpoint added
└►documentnr filter added in documentpdf.select
└►documentnr filter added in documentubl.select

Version 3.6.0.13, 08-01-2025
└►productpopup.update endpoint added
└►category.delete endpoint added
└►product.delete endpoint added
└►subproduct.delete endpoint added
└►Bugfix, deleted categories were shown in category.select

Version 3.5.5.18, 13-06-2024
└►documentpdf.select endpoint added
└►documentubl.select endpoint added

Version 3.5.5.16, 28-05-2024
└►orderv2.select endpoint added (order.select deprecated)
└►zreportsv2.select endpoint added (zreports.select deprecated)
└►email filter added to customer.select
└►webdescription, webshopshow, webshoporderable added to product.select
└►paymenttype added to giftvoucher.select

Version 3.5.5.15, 17-01-2024
└►productpopup.select endpoint added
└►use of standard product tax if not filled in producttax field in weborder.insert

Version 3.5.4.41, 08-07-2023
└►Bugfix, subid was always 0 in order.select
└►tablenumber added in order.select

Version 3.5.4.38, 02-01-2023
└►dbid, establishmentid, kassaid filters added to order.select
└►res, payconiq payments output added to order.select
└►modtime, vatticketnr output added to document.select
└►establishmentid, kassaid, payments, taxable amount output added to zreports.select

Version 3.5.4.36, 24-10-2022
└►weborder.update endpoint added
└►weborder.delete endpoint added

Version 3.5.4.15, 25-04-2022
└►tableorder, tablenumber added in weborder.insert
└►lasthour filter added to confirmedweborder.select
└►status output added to confirmedweborder.select

Version 3.5.4.12, 18-01-2022
└►category_multi_ids added in product.insert, product.update

Version 3.5.4.7, 25-11-2021
└►country added in customer.select, customer.insert, customer.update

Version 3.5.4.6, 10-11-2021
└►category_multi_ids added in product.select

Version 3.5.3.2, 04-08-2021
└►Release new API v2

Categories

/category
Get list of categories
POST/category.select

category.select

Get list of categories

Request attributes

NameTypeExampleDescription
idnumber10Filter on category id

Response 200

NameTypeExampleDescription
idnumber10Category id
namestringHamburgersCategory name
modtimenumber1617040180000Last modified, unix micro timestamp
REQUEST
https://cloudpos.be/api/v2/category.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 10
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/category.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 10 }'
RESPONSE 200
{
  "id": 10,
  "name": "Hamburgers",
  "modtime": 1617040180000
}
Create a new category
POST/category.insert

category.insert

Create a new category

Request attributes

NameTypeExampleDescription
namerequiredHamburgersCategory name

Response 200

NameTypeExampleDescription
idnumber10Category id
modtimenumber1617040180000Last modified, unix micro timestamp
successnumber1
REQUEST
https://cloudpos.be/api/v2/category.insert
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "name": "Hamburgers"
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/category.insert' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "name": "Hamburgers" }'
RESPONSE 200
{
  "id": 10,
  "modtime": 1617040180000,
  "success": 1
}
Update a category
POST/category.update

category.update

Update a category

Request attributes

NameTypeExampleDescription
idnumber, required10Category id
namerequiredHamburgersCategory name

Response 200

NameTypeExampleDescription
idnumber10Category id
modtimenumber1617040180000Last modified, unix micro timestamp
successnumber1
REQUEST
https://cloudpos.be/api/v2/category.update
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 10,
  "name": "Hamburgers"
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/category.update' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 10,   "name": "Hamburgers" }'
RESPONSE 200
{
  "id": 10,
  "modtime": 1617040180000,
  "success": 1
}
Delete a category
POST/category.delete

category.delete

Delete a category

Request attributes

NameTypeExampleDescription
idnumber, required100Category id

Response 200

NameTypeExampleDescription
successnumber1
REQUEST
https://cloudpos.be/api/v2/category.delete
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 100
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/category.delete' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 100 }'
RESPONSE 200
{
  "success": 1
}

Products

/product
Get list of products
POST/product.select

product.select

Get list of products

Request attributes

NameTypeExampleDescription
category_idnumber10Filter on category id
idnumber100Filter on product id
show_deletedbooleanfalseShow deleted products

Response 200

NameTypeExampleDescription
idnumber100Product id
namestringCheese BurgerProduct name
category_idnumber10Main category id
category_multi_idsarrayAll coupled categories
pricestring20.00Selling price
purchasepricestring10.00Purchase price
taxenumProduct VAT
tax_tableenumProduct VAT Table
barcodestring12345678Barcode
quantitynumber23Product stock
popupbooleanfalseProduct has popup sub-products
menupopupbooleanfalseProduct has menu subproducten
openpricebooleanfalseProduct has open price
webdescriptionstringvery nice productInfo about product
webshopshowbooleanfalseShow product in webshop
webshoporderablebooleanfalseProduct in stock and available to order in webshop
modtimenumber1617040180000Last modified, unix micro timestamp
REQUEST
https://cloudpos.be/api/v2/product.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "category_id": 10,
  "id": 100,
  "show_deleted": false
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/product.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "category_id": 10,   "id": 100,   "show_deleted": false }'
RESPONSE 200
{
  "id": 100,
  "name": "Cheese Burger",
  "category_id": 10,
  "category_multi_ids": [
    10,
    20
  ],
  "price": "20.00",
  "purchaseprice": "10.00",
  "tax": 21,
  "tax_table": 21,
  "barcode": "12345678",
  "quantity": 23,
  "popup": false,
  "menupopup": false,
  "openprice": false,
  "webdescription": "very nice product",
  "webshopshow": false,
  "webshoporderable": false,
  "modtime": 1617040180000
}
Create a new product
POST/product.insert

product.insert

Create a new product

Request attributes

NameTypeExampleDescription
namestring, requiredCheese BurgerProduct name
category_idnumber, required10Category id
category_multi_idsarrayAll coupled categories, if something is entered here "category_id" will be replaced by the first value in this array
pricestring, required20.00Selling price
purchasepricestring10.00Purchase price
taxenumProduct VAT
tax_tableenumProduct VAT Table
barcodestring12345678Barcode
quantitynumber23Product stock

Response 200

NameTypeExampleDescription
idnumber100Product id
modtimenumber1617040180000Last modified, unix micro timestamp
successnumber1
REQUEST
https://cloudpos.be/api/v2/product.insert
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "name": "Cheese Burger",
  "category_id": 10,
  "category_multi_ids": [
    10,
    20
  ],
  "price": "20.00",
  "purchaseprice": "10.00",
  "tax": 21,
  "tax_table": 21,
  "barcode": "12345678",
  "quantity": 23
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/product.insert' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "name": "Cheese Burger",   "category_id": 10,   "category_multi_ids": [
    10,
    20
  ],   "price": "20.00",   "purchaseprice": "10.00",   "tax": 21,   "tax_table": 21,   "barcode": "12345678",   "quantity": 23 }'
RESPONSE 200
{
  "id": 100,
  "modtime": 1617040180000,
  "success": 1
}
Update a product
POST/product.update

product.update

Update a product

Request attributes

NameTypeExampleDescription
idnumber, required100Product id
namestring, requiredCheese BurgerProduct name
category_idnumber10Category id
category_multi_idsarrayAll coupled categories, if something is entered here "category_id" will be replaced by the first value in this array
pricestring20.00Selling price
purchasepricestring10.00Purchase price
taxenumProduct VAT
tax_tableenumProduct VAT Table
barcodestring12345678Barcode
quantitynumber23Product stock

Response 200

NameTypeExampleDescription
idnumber100Product id
modtimenumber1617040180000Last modified, unix micro timestamp
successnumber1
REQUEST
https://cloudpos.be/api/v2/product.update
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 100,
  "name": "Cheese Burger",
  "category_id": 10,
  "category_multi_ids": [
    10,
    20
  ],
  "price": "20.00",
  "purchaseprice": "10.00",
  "tax": 21,
  "tax_table": 21,
  "barcode": "12345678",
  "quantity": 23
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/product.update' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 100,   "name": "Cheese Burger",   "category_id": 10,   "category_multi_ids": [
    10,
    20
  ],   "price": "20.00",   "purchaseprice": "10.00",   "tax": 21,   "tax_table": 21,   "barcode": "12345678",   "quantity": 23 }'
RESPONSE 200
{
  "id": 100,
  "modtime": 1617040180000,
  "success": 1
}
Delete a product
POST/product.delete

product.delete

Delete a product

Request attributes

NameTypeExampleDescription
idnumber, required100Product id

Response 200

NameTypeExampleDescription
successnumber1
REQUEST
https://cloudpos.be/api/v2/product.delete
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 100
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/product.delete' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 100 }'
RESPONSE 200
{
  "success": 1
}
Get list of coupled subproducts in popup menu's
POST/productpopup.select

productpopup.select

Get list of coupled subproducts in popup menu's

Request attributes

NameTypeExampleDescription
idnumber, required100Product id

Response 200

NameTypeExampleDescription
popupidnumber1Popup column id
popup_titelstringChoose your saucePopup column name
multiselectbooleanfalseAllow to choose multiple options
required_option_cashregisterbooleanfalseRequired to select option on cash register
required_option_webshopbooleanfalseRequired to select option on webshop
minimum_optionnumber0If higher than 0, this is the minimum amount options to select
maximum_optionnumber0If higher than 0, this is the maximum amount options to select
default_checked_subproduct_idnumber1000If higher than 0, this is the default checked subproductid
subproduct_idsarrayCoupled subproduct id's
REQUEST
https://cloudpos.be/api/v2/productpopup.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 100
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/productpopup.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 100 }'
RESPONSE 200
{
  "popupid": 1,
  "popup_titel": "Choose your sauce",
  "multiselect": false,
  "required_option_cashregister": false,
  "required_option_webshop": false,
  "minimum_option": 0,
  "maximum_option": 0,
  "default_checked_subproduct_id": 1000,
  "subproduct_ids": null
}
Update coupled subproducts in popup menu's
POST/productpopup.update

productpopup.update

Update coupled subproducts in popup menu's

Request attributes

NameTypeExampleDescription
idnumber, required100Product id
popupidnumber, required1Popup column id
popup_titelstringcolumn namePopup column name
multiselectbooleanfalseAllow to choose multiple options
required_option_cashregisterbooleanfalseRequired to select option on cash register
required_option_webshopbooleanfalseRequired to select option on webshop
minimum_optionnumber0If higher than 0, this is the minimum amount options to select
maximum_optionnumber0If higher than 0, this is the maximum amount options to select
default_checked_subproduct_idnumber0If higher than 0, this is the default checked subproductid
subproduct_idsarrayCoupled subproduct id's

Response 200

No attributes
REQUEST
https://cloudpos.be/api/v2/productpopup.update
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 100,
  "popupid": 1,
  "popup_titel": "column name",
  "multiselect": false,
  "required_option_cashregister": false,
  "required_option_webshop": false,
  "minimum_option": 0,
  "maximum_option": 0,
  "default_checked_subproduct_id": 0,
  "subproduct_ids": null
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/productpopup.update' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 100,   "popupid": 1,   "popup_titel": "column name",   "multiselect": false,   "required_option_cashregister": false,   "required_option_webshop": false,   "minimum_option": 0,   "maximum_option": 0,   "default_checked_subproduct_id": 0,   "subproduct_ids": null }'
RESPONSE 200
{}

Subproducts

/subproduct
Get list of subproducts
POST/subproduct.select

subproduct.select

Get list of subproducts

Request attributes

NameTypeExampleDescription
product_idnumber100Filter on product id
idnumber1000Filter on subproduct id

Response 200

NameTypeExampleDescription
idnumber1000Subproduct id
namestringKetchupSubproduct name
pricestring20.00Selling price
taxenumSubproduct VAT
tax_tableenumSubproduct VAT Table
quantitynumber23Subproduct stock
product_idsarrayCoupled product id's
modtimenumber1617040180000Last modified, unix micro timestamp
REQUEST
https://cloudpos.be/api/v2/subproduct.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "product_id": 100,
  "id": 1000
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/subproduct.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "product_id": 100,   "id": 1000 }'
RESPONSE 200
{
  "id": 1000,
  "name": "Ketchup",
  "price": "20.00",
  "tax": 21,
  "tax_table": 21,
  "quantity": 23,
  "product_ids": null,
  "modtime": 1617040180000
}
Create a new subproduct
POST/subproduct.insert

subproduct.insert

Create a new subproduct

Request attributes

NameTypeExampleDescription
namestring, requiredKetchupSubproduct name
pricestring, required20.00Selling price
taxenumSubproduct VAT
tax_tableenumSubproduct VAT Table
quantitynumber23Subproduct stock

Response 200

NameTypeExampleDescription
idnumber1000Subproduct id
modtimenumber1617040180000Last modified, unix micro timestamp
successnumber1
REQUEST
https://cloudpos.be/api/v2/subproduct.insert
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "name": "Ketchup",
  "price": "20.00",
  "tax": 21,
  "tax_table": 21,
  "quantity": 23
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/subproduct.insert' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "name": "Ketchup",   "price": "20.00",   "tax": 21,   "tax_table": 21,   "quantity": 23 }'
RESPONSE 200
{
  "id": 1000,
  "modtime": 1617040180000,
  "success": 1
}
Update a subproduct
POST/subproduct.update

subproduct.update

Update a subproduct

Request attributes

NameTypeExampleDescription
idnumber, required100Product id
namestring, requiredKetchupSubproduct name
pricestring20.00Selling price
taxenumSubproduct VAT
tax_tableenumSubproduct VAT Table
quantitynumber23Subproduct stock

Response 200

NameTypeExampleDescription
idnumber1000Subproduct id
modtimenumber1617040180000Last modified, unix micro timestamp
successnumber1
REQUEST
https://cloudpos.be/api/v2/subproduct.update
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 100,
  "name": "Ketchup",
  "price": "20.00",
  "tax": 21,
  "tax_table": 21,
  "quantity": 23
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/subproduct.update' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 100,   "name": "Ketchup",   "price": "20.00",   "tax": 21,   "tax_table": 21,   "quantity": 23 }'
RESPONSE 200
{
  "id": 1000,
  "modtime": 1617040180000,
  "success": 1
}
Delete a subproduct
POST/subproduct.delete

subproduct.delete

Delete a subproduct

Request attributes

NameTypeExampleDescription
idnumber, required100Subproduct id

Response 200

NameTypeExampleDescription
successnumber1
REQUEST
https://cloudpos.be/api/v2/subproduct.delete
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 100
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/subproduct.delete' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 100 }'
RESPONSE 200
{
  "success": 1
}

Customers

/customers
Get list of customers
POST/customer.select

customer.select

Get list of customers

Request attributes

NameTypeExampleDescription
idnumber10000Filter on customer id
emailstringemail@mail.comFilter on Email

Response 200

NameTypeExampleDescription
idnumber10000Customer id
firstnamestringWalterFirstname
namestringWhiteName
companynamestringMadrigal ElectromotiveCompany
street_numberstringHermanos Street 20Street and number
phonestring+32478809887Phone
zipcodestring2000Zipcode
citystringAntwerpTown
countryenumCountry
vatnumberstringBE0123456789VAT Number
emailstringg.fring@lospolloshermanos.beEmail
tagidstring123Tagid
tagtypeenumTagtype
tagfamidstring123Tagfamily
delivery_addressobjectdelivery address
firstnamestringWalterFirstname
namestringWhiteName
companynamestringMadrigal ElectromotiveCompany
street_numberstringHermanos Street 20Street and number
zipcodestring2000Zipcode
citystringAntwerpTown
countryenumCountry
modtimenumber1617040180000Last modified, unix micro timestamp
REQUEST
https://cloudpos.be/api/v2/customer.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 10000,
  "email": "email@mail.com"
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/customer.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 10000,   "email": "email@mail.com" }'
RESPONSE 200
{
  "id": 10000,
  "firstname": "Walter",
  "name": "White",
  "companyname": "Madrigal Electromotive",
  "street_number": "Hermanos Street 20",
  "phone": "+32478809887",
  "zipcode": "2000",
  "city": "Antwerp",
  "country": null,
  "vatnumber": "BE0123456789",
  "email": "g.fring@lospolloshermanos.be",
  "tagid": "123",
  "tagtype": null,
  "tagfamid": "123",
  "delivery_address": null,
  "modtime": 1617040180000
}
Create a new customer
POST/customer.insert

customer.insert

Create a new customer

Request attributes

NameTypeExampleDescription
firstnamestring, requiredWalterFirstname
namestring, requiredWhiteName
companynamestringMadrigal ElectromotiveCompany
street_numberstringHermanos Street 20Street and number
phonestring+32478809887Phone
zipcodestring2000Zipcode
townstringAntwerpTown
countryenumCountry
vatnumberstringBE0123456789VAT Number
emailstringg.fring@lospolloshermanos.beEmail
tagidstring123Tagid
tagtypeenumTagtype
tagfamidstring123Tagfamily

Response 200

NameTypeExampleDescription
idnumber10000Customer id
modtimenumber1617040180000Last modified, unix micro timestamp
successnumber1
REQUEST
https://cloudpos.be/api/v2/customer.insert
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "firstname": "Walter",
  "name": "White",
  "companyname": "Madrigal Electromotive",
  "street_number": "Hermanos Street 20",
  "phone": "+32478809887",
  "zipcode": "2000",
  "town": "Antwerp",
  "country": null,
  "vatnumber": "BE0123456789",
  "email": "g.fring@lospolloshermanos.be",
  "tagid": "123",
  "tagtype": null,
  "tagfamid": "123"
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/customer.insert' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "firstname": "Walter",   "name": "White",   "companyname": "Madrigal Electromotive",   "street_number": "Hermanos Street 20",   "phone": "+32478809887",   "zipcode": "2000",   "town": "Antwerp",   "country": null,   "vatnumber": "BE0123456789",   "email": "g.fring@lospolloshermanos.be",   "tagid": "123",   "tagtype": null,   "tagfamid": "123" }'
RESPONSE 200
{
  "id": 10000,
  "modtime": 1617040180000,
  "success": 1
}
Update a customer
POST/customer.update

customer.update

Update a customer

Request attributes

NameTypeExampleDescription
idnumber, required10000Customer id
firstnamestring, requiredWalterFirstname
namestring, requiredWhiteName
companynamestringMadrigal ElectromotiveCompany
street_numberstringHermanos Street 20Street and number
phonestring+32478809887Phone
zipcodestring2000Zipcode
townstringAntwerpTown
countryenumCountry
vatnumberstringBE0123456789VAT Number
emailstringg.fring@lospolloshermanos.beEmail
tagidstring123Tagid
tagtypeenumTagtype
tagfamidstring123Tagfamily

Response 200

NameTypeExampleDescription
idnumber10000Customer id
modtimenumber1617040180000Last modified, unix micro timestamp
successnumber1
REQUEST
https://cloudpos.be/api/v2/customer.update
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 10000,
  "firstname": "Walter",
  "name": "White",
  "companyname": "Madrigal Electromotive",
  "street_number": "Hermanos Street 20",
  "phone": "+32478809887",
  "zipcode": "2000",
  "town": "Antwerp",
  "country": null,
  "vatnumber": "BE0123456789",
  "email": "g.fring@lospolloshermanos.be",
  "tagid": "123",
  "tagtype": null,
  "tagfamid": "123"
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/customer.update' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 10000,   "firstname": "Walter",   "name": "White",   "companyname": "Madrigal Electromotive",   "street_number": "Hermanos Street 20",   "phone": "+32478809887",   "zipcode": "2000",   "town": "Antwerp",   "country": null,   "vatnumber": "BE0123456789",   "email": "g.fring@lospolloshermanos.be",   "tagid": "123",   "tagtype": null,   "tagfamid": "123" }'
RESPONSE 200
{
  "id": 10000,
  "modtime": 1617040180000,
  "success": 1
}

Orders

/orders
Get list of cashregister orders
POST/orderv2.select

orderv2.select

Get list of cashregister orders

Request attributes

NameTypeExampleDescription
start_idnumber1Begin order id
end_idnumber10End order id
datestring`2020-12-01`Filter on date
clockinclockoutbooleanfalseFilter on clockinclockout
dbidnumber10Unique ticket database id
kassaidnumber1Cash register id
establishmentidnumber1Establishment id

Response 200

NameTypeExampleDescription
dbidnumber1Unique ticket database id
idnumber1Ticket number
customeridnumber10000Customer id
establishmentidnumber1Establishment id
kassaidnumber1Cash register id
totalpricestring100.00Total price incl. tax
usernumber100User id
ordertimestring`2020-12-01 12:00:00`Order date time
tablenumbernumber10Table number
clockinbooleanfalseClockin
clockoutbooleanfalseClockout
orderdetailarrayOrder details array
idnumber1Unique id
quantitynumber1quantity
productidnumber100Product id
productpricestring90.00Product price
producttaxenumProduct tax
subproductsarraySubproducts details array
subproductidnumber1Subproduct id
subproductpricestring10.00Subproduct price
subproducttaxenumSubproduct tax
paymentsarrayPayments array
idnumber1Payment id
namestringCashPayment name
amountstring100.00Amount incl. vat
REQUEST
https://cloudpos.be/api/v2/orderv2.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "start_id": 1,
  "end_id": 10,
  "date": "`2020-12-01`",
  "clockinclockout": false,
  "dbid": 10,
  "kassaid": 1,
  "establishmentid": 1
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/orderv2.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "start_id": 1,   "end_id": 10,   "date": "`2020-12-01`",   "clockinclockout": false,   "dbid": 10,   "kassaid": 1,   "establishmentid": 1 }'
RESPONSE 200
{
  "dbid": 1,
  "id": 1,
  "customerid": 10000,
  "establishmentid": 1,
  "kassaid": 1,
  "totalprice": "100.00",
  "user": 100,
  "ordertime": "`2020-12-01 12:00:00`",
  "tablenumber": 10,
  "clockin": false,
  "clockout": false,
  "orderdetail": null,
  "quantity": 1,
  "productid": 100,
  "productprice": "90.00",
  "producttax": null,
  "subproducts": null,
  "subproductid": 1,
  "subproductprice": "10.00",
  "subproducttax": null,
  "payments": null,
  "name": "Cash",
  "amount": "100.00"
}
Check confirmed weborder
POST/confirmedweborder.select

confirmedweborder.select

Check confirmed weborder

Request attributes

NameTypeExampleDescription
lasthourbooleantrueAll orders from the past hour
weborderidnumber10Weborder id

Response 200

NameTypeExampleDescription
weborderidnumber10Weborder id
ordertimestring`2020-12-01 12:00:00`Weborder date time
statusenumStatus of the weborder
1numberArrived, the order exists but has not been processed
3numberProcessed, the order has been send to kitchen/bar
5numberFinished, VAT ticket created
webordertimestring17:00Confirmed time when the web order can be picked up or delivered
REQUEST
https://cloudpos.be/api/v2/confirmedweborder.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "lasthour": true,
  "weborderid": 10
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/confirmedweborder.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "lasthour": true,   "weborderid": 10 }'
RESPONSE 200
{
  "weborderid": 10,
  "ordertime": "`2020-12-01 12:00:00`",
  "status": null,
  "1": null,
  "3": null,
  "5": null,
  "webordertime": "17:00"
}
Get list of weborders
POST/weborder.select

weborder.select

Get list of weborders

Request attributes

NameTypeExampleDescription
start_idnumber1Begin order id
end_idnumber10End order id
datestring`2020-12-01`Filter on date
establishmentidnumber1Establishment id

Response 200

NameTypeExampleDescription
idnumber1Ticket number
customeridnumber10000Customer id
establishmentidnumber1Establishment id
totalpricestring100.00Total price incl. tax
ordertimestring`2020-12-01 12:00:00`Order date time
plannedorderdatetimestring`2020-12-05 12:00:00`Planned order date time
discountamountstring1.00Discountamount
remarkstringWith extra saladRemark
deliverynumber00 = pickup, 1 = delivery , 2 = eatin
weborderdetailarrayWeborder details array
idnumber1Unique id
quantitynumber1quantity
productidnumber100Product id
productpricestring90.00Product price
producttaxenumProduct tax
subproductsarraySubproducts details array
subproductidnumber1Subproduct id
subproductpricestring10.00Subproduct price
subproducttaxenumSubproduct tax
REQUEST
https://cloudpos.be/api/v2/weborder.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "start_id": 1,
  "end_id": 10,
  "date": "`2020-12-01`",
  "establishmentid": 1
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/weborder.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "start_id": 1,   "end_id": 10,   "date": "`2020-12-01`",   "establishmentid": 1 }'
RESPONSE 200
{
  "id": 1,
  "customerid": 10000,
  "establishmentid": 1,
  "totalprice": "100.00",
  "ordertime": "`2020-12-01 12:00:00`",
  "plannedorderdatetime": "`2020-12-05 12:00:00`",
  "discountamount": "1.00",
  "remark": "With extra salad",
  "delivery": 0,
  "weborderdetail": null,
  "quantity": 1,
  "productid": 100,
  "productprice": "90.00",
  "producttax": null,
  "subproducts": null,
  "subproductid": 1,
  "subproductprice": "10.00",
  "subproducttax": null
}
Create a new weborder
POST/weborder.insert

weborder.insert

Create a new weborder

Request attributes

NameTypeExampleDescription
plannedorderbooleanfalsePlanned order
plannedorderdatetimestring`2020-12-01 12:00:00`Planned order date time
autoconfirmationbooleanfalseNo interaction with the customer required
customeridnumber10000Customer id
deliverynumber00 = pickup, 1 = delivery , 2 = eatin
tableorderbooleantrueWeborder made at a table, QR code scan
tablenumbernumber10Table number
kioskorderbooleantrueWeborder made at a kiosk
kioskidnumber1Kiosk id, unique number per kiosk
kioskorderidnumber100Order id to show on tickets, customer identification
onlinepaidbooleanfalseOnline paid
discountamountstring0.00Discount amount, the given amount will be reduced on total sum of all productprice, this only works for non planned orders
remarkstringWith extra saladRemark
weborderdetailarrayWeborder details array
quantitynumber1Quantity
productidnumber100Product id
productpricestring90.00Product unit price
producttaxenumProduct tax
sub1idnumber2Subproduct id 1-10
sub1pricestring10.00Subproduct unit price 1-10
sub1taxenumSubproduct tax 1-10
extrainfostringno cheese, extra sauceComma separated, extra info for the kitchen ticket

Response 200

NameTypeExampleDescription
weborderidnumber28Weborder id
successnumber1
REQUEST
https://cloudpos.be/api/v2/weborder.insert
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "plannedorder": false,
  "plannedorderdatetime": "`2020-12-01 12:00:00`",
  "autoconfirmation": false,
  "customerid": 10000,
  "delivery": 0,
  "tableorder": true,
  "tablenumber": 10,
  "kioskorder": true,
  "kioskid": 1,
  "kioskorderid": 100,
  "onlinepaid": false,
  "discountamount": "0.00",
  "remark": "With extra salad",
  "weborderdetail": null,
  "quantity": 1,
  "productid": 100,
  "productprice": "90.00",
  "producttax": null,
  "sub1id": 2,
  "sub1price": "10.00",
  "sub1tax": null,
  "extrainfo": "no cheese, extra sauce"
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/weborder.insert' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "plannedorder": false,   "plannedorderdatetime": "`2020-12-01 12:00:00`",   "autoconfirmation": false,   "customerid": 10000,   "delivery": 0,   "tableorder": true,   "tablenumber": 10,   "kioskorder": true,   "kioskid": 1,   "kioskorderid": 100,   "onlinepaid": false,   "discountamount": "0.00",   "remark": "With extra salad",   "weborderdetail": null,   "quantity": 1,   "productid": 100,   "productprice": "90.00",   "producttax": null,   "sub1id": 2,   "sub1price": "10.00",   "sub1tax": null,   "extrainfo": "no cheese, extra sauce" }'
RESPONSE 200
{
  "weborderid": 28,
  "success": 1
}
Update a weborder
POST/weborder.update

weborder.update

Update a weborder

Request attributes

NameTypeExampleDescription
idnumber, required28Weborder id
plannedorderdatetimestring`2020-12-01 12:00:00`Planned order date time
deliverynumber00 = pickup, 1 = delivery , 2 = eatin
onlinepaidbooleanfalseOnline paid
discountamountstring0.00Discount amount, the given amount will be reduced on total sum of all productprice, this only works for non planned orders
remarkstringWith extra saladRemark
weborderdetailarrayWeborder details array
quantitynumber1Quantity
productidnumber100Product id
productpricestring90.00Product unit price
producttaxenumProduct tax
sub1idnumber2Subproduct id 1-10
sub1pricestring10.00Subproduct unit price 1-10
sub1taxenumSubproduct tax 1-10
extrainfostringno cheese, extra sauceComma separated, extra info for the kitchen ticket

Response 200

NameTypeExampleDescription
weborderidnumber28Weborder id
successnumber1
REQUEST
https://cloudpos.be/api/v2/weborder.update
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 28,
  "plannedorderdatetime": "`2020-12-01 12:00:00`",
  "delivery": 0,
  "onlinepaid": false,
  "discountamount": "0.00",
  "remark": "With extra salad",
  "weborderdetail": null,
  "quantity": 1,
  "productid": 100,
  "productprice": "90.00",
  "producttax": null,
  "sub1id": 2,
  "sub1price": "10.00",
  "sub1tax": null,
  "extrainfo": "no cheese, extra sauce"
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/weborder.update' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 28,   "plannedorderdatetime": "`2020-12-01 12:00:00`",   "delivery": 0,   "onlinepaid": false,   "discountamount": "0.00",   "remark": "With extra salad",   "weborderdetail": null,   "quantity": 1,   "productid": 100,   "productprice": "90.00",   "producttax": null,   "sub1id": 2,   "sub1price": "10.00",   "sub1tax": null,   "extrainfo": "no cheese, extra sauce" }'
RESPONSE 200
{
  "weborderid": 28,
  "success": 1
}
Delete a weborder
POST/weborder.delete

weborder.delete

Delete a weborder

Request attributes

NameTypeExampleDescription
idnumber, required28Weborder id

Response 200

NameTypeExampleDescription
weborderidnumber28Weborder id
successnumber1
REQUEST
https://cloudpos.be/api/v2/weborder.delete
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 28
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/weborder.delete' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 28 }'
RESPONSE 200
{
  "weborderid": 28,
  "success": 1
}

Reservations

/reservations
Get list of reservation dates
POST/reservationdate.select

reservationdate.select

Get list of reservation dates

Request attributes

No attributes

Response 200

NameTypeExampleDescription
monbooleantrueMonday
tuebooleantrueTuesday
wedbooleantrueWednesday
thubooleantrueThursday
fribooleantrueFriday
satbooleantrueSaturday
sunbooleantrueSunday
exceptionallyopenarrayExceptionally open dates
nomoreplacearrayNo more place to make a reservation
holidayarray
start_datestring`2020-12-24`Start date
end_datestring`2021-01-02`End date
reservationfromstring`2020-12-03`Reserve possible from
reservationuntilstring`2020-12-03`Reserve possible until
REQUEST
https://cloudpos.be/api/v2/reservationdate.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{}
cURL
curl -X POST 'https://cloudpos.be/api/v2/reservationdate.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{}'
RESPONSE 200
{
  "mon": true,
  "tue": true,
  "wed": true,
  "thu": true,
  "fri": true,
  "sat": true,
  "sun": true,
  "exceptionallyopen": null,
  "nomoreplace": null,
  "holiday": null,
  "start_date": "`2020-12-24`",
  "end_date": "`2021-01-02`",
  "reservationfrom": "`2020-12-03`",
  "reservationuntil": "`2020-12-03`"
}
Get list of reservation persons
POST/reservationpersons.select

reservationpersons.select

Get list of reservation persons

Request attributes

NameTypeExampleDescription
datestring, required`2020-12-01`Date

Response 200

NameTypeExampleDescription
personsarrayArray of persons
1number
2number
3number
REQUEST
https://cloudpos.be/api/v2/reservationpersons.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "date": "`2020-12-01`"
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/reservationpersons.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "date": "`2020-12-01`" }'
RESPONSE 200
{
  "persons": null,
  "1": null,
  "2": null,
  "3": null
}
Get list of reservation hours
POST/reservationhours.select

reservationhours.select

Get list of reservation hours

Request attributes

NameTypeExampleDescription
datestring, required`2020-12-01`Date
personsnumber, required2Persons

Response 200

NameTypeExampleDescription
hoursarrayArray of hours
17string00
17string15
17string30
REQUEST
https://cloudpos.be/api/v2/reservationhours.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "date": "`2020-12-01`",
  "persons": 2
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/reservationhours.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "date": "`2020-12-01`",   "persons": 2 }'
RESPONSE 200
{
  "hours": null,
  "17": "30"
}
Create a new reservation entry
POST/reservationentry.insert

reservationentry.insert

Create a new reservation entry

Request attributes

NameTypeExampleDescription
datestring, required`2020-12-01`Date
personsnumber, required2Persons
hourstring, required17:00Hour
namestring, requiredWalter WhiteName
phonestring, required0476839912Phone

Response 200

NameTypeExampleDescription
successnumber1
REQUEST
https://cloudpos.be/api/v2/reservationentry.insert
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "date": "`2020-12-01`",
  "persons": 2,
  "hour": "17:00",
  "name": "Walter White",
  "phone": "0476839912"
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/reservationentry.insert' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "date": "`2020-12-01`",   "persons": 2,   "hour": "17:00",   "name": "Walter White",   "phone": "0476839912" }'
RESPONSE 200
{
  "success": 1
}

Reports

/reports
Select zreports
POST/zreportsv2.select

zreportsv2.select

Select zreports

Request attributes

NameTypeExampleDescription
start_idnumber1Begin id
end_idnumber10End id

Response 200

NameTypeExampleDescription
idnumber1Report id
establishmentidnumber1Establishment id
kassaidnumber1Cash register id
startdatestring`2020-12-01 08:00:00`Begin of report
enddatestring`2020-12-01 18:00:00`End of report
startticketnumber1Begin order id
endticketnumber200End order id
ticketcountnumber200Ticket count
vatamountsarrayVat amounts array
percentageenumPercentage
inclvatstring1210.00Amount incl. vat
exclvatstring1000.00Amount excl. vat
vatamountstring210.00Amount vat amount
paymentsarrayPayments array
idnumber1Payment id
namestringCashPayment name
amountstring1210.00Amount incl. vat
totalinclvatstring1210.00Total price incl. vat
totalexclvatstring1000.00Total price excl. vat
totalvatamountstring210.00Total vat amount
REQUEST
https://cloudpos.be/api/v2/zreportsv2.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "start_id": 1,
  "end_id": 10
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/zreportsv2.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "start_id": 1,   "end_id": 10 }'
RESPONSE 200
{
  "id": 1,
  "establishmentid": 1,
  "kassaid": 1,
  "startdate": "`2020-12-01 08:00:00`",
  "enddate": "`2020-12-01 18:00:00`",
  "startticket": 1,
  "endticket": 200,
  "ticketcount": 200,
  "vatamounts": null,
  "percentage": null,
  "inclvat": "1210.00",
  "exclvat": "1000.00",
  "vatamount": "210.00",
  "payments": null,
  "name": "Cash",
  "amount": "1210.00",
  "totalinclvat": "1210.00",
  "totalexclvat": "1000.00",
  "totalvatamount": "210.00"
}
Select xreports
POST/xreports.select

xreports.select

Select xreports

Request attributes

No attributes

Response 200

NameTypeExampleDescription
idnumber1Report id
startdatestring`2020-12-01 08:00:00`Begin of report
startticketstring1Begin order id
totalexclvatstring900.00Total price excl. vat
totalinclvatstring1300.00Total price incl. vat
REQUEST
https://cloudpos.be/api/v2/xreports.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{}
cURL
curl -X POST 'https://cloudpos.be/api/v2/xreports.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{}'
RESPONSE 200
{
  "id": 1,
  "startdate": "`2020-12-01 08:00:00`",
  "startticket": "1",
  "totalexclvat": "900.00",
  "totalinclvat": "1300.00"
}

Invoicing

/invoicing
Get list of documents
POST/document.select

document.select

Get list of documents

Request attributes

NameTypeExampleDescription
start_idnumber1Begin id
end_idnumber10End id
datestring`2020-12-01`Filter on date

Response 200

NameTypeExampleDescription
idnumber1Document id
customeridnumber10000Customer id
totalpricestring5.00Total price incl. tax
datestring`2020-12-01`Document date
expirationdatestring`2020-12-30`Document expiration date
numbernumber1001Document number
doctypeenum
notestringextra cheeseNote
need_send_to_peppolbooleantrueNeeds to be placed on the Peppol network by 3rd party
invoicedetailarrayDocument details array
quantitynumber1quantity
productnamestringHamburgersProduct name
productpricestring5.00Product price
producttaxenumProduct vat
vatticketnrnumberLinked vat ticket (dbid in order.select)
docfromvatticketbooleanfalseIs document from vat tickets
hasvatticketbooleanfalsehas a VAT receipt (turnover in zrapports)
order_referencestring15689-369order reference used for Peppol
modtimenumber1617040180000Last modified, unix micro timestamp
REQUEST
https://cloudpos.be/api/v2/document.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "start_id": 1,
  "end_id": 10,
  "date": "`2020-12-01`"
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/document.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "start_id": 1,   "end_id": 10,   "date": "`2020-12-01`" }'
RESPONSE 200
{
  "id": 1,
  "customerid": 10000,
  "totalprice": "5.00",
  "date": "`2020-12-01`",
  "expirationdate": "`2020-12-30`",
  "number": 1001,
  "doctype": null,
  "note": "extra cheese",
  "need_send_to_peppol": true,
  "invoicedetail": null,
  "quantity": 1,
  "productname": "Hamburgers",
  "productprice": "5.00",
  "producttax": null,
  "vatticketnr": null,
  "docfromvatticket": false,
  "hasvatticket": false,
  "order_reference": "15689-369",
  "modtime": 1617040180000
}
Check document signed by fiscal data module
POST/documentsigned.select

documentsigned.select

Check document signed by fiscal data module

Request attributes

NameTypeExampleDescription
documentnrnumber, required1001Document number
doctypeenum, required

Response 200

NameTypeExampleDescription
vatticketnumber100Vat Ticket
REQUEST
https://cloudpos.be/api/v2/documentsigned.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "documentnr": 1001,
  "doctype": null
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/documentsigned.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "documentnr": 1001,   "doctype": null }'
RESPONSE 200
{
  "vatticket": 100
}
Create a new document
POST/document.insert

document.insert

Create a new document

Request attributes

NameTypeExampleDescription
customeridnumber, required10000Customer id
documentnrnumber, required1001Document number
datestring`2020-12-01`Document date, only available without fiscal data module
expirationdatestring`2020-12-30`Document expiration date
doctypeenum, required
totalstring5.00Total
productlinesarray, requiredDocument details array
quantitynumber1Quantity
namestringHamburgerProduct name
productpricestring5.00Product total price (unit price x quantity)
productvatenumProduct vat

Response 200

NameTypeExampleDescription
successnumber1
REQUEST
https://cloudpos.be/api/v2/document.insert
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "customerid": 10000,
  "documentnr": 1001,
  "date": "`2020-12-01`",
  "expirationdate": "`2020-12-30`",
  "doctype": null,
  "total": "5.00",
  "productlines": null,
  "quantity": 1,
  "name": "Hamburger",
  "productprice": "5.00",
  "productvat": null
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/document.insert' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "customerid": 10000,   "documentnr": 1001,   "date": "`2020-12-01`",   "expirationdate": "`2020-12-30`",   "doctype": null,   "total": "5.00",   "productlines": null,   "quantity": 1,   "name": "Hamburger",   "productprice": "5.00",   "productvat": null }'
RESPONSE 200
{
  "success": 1
}
Download document in pdf
POST/documentpdf.select

documentpdf.select

Download document in pdf

Request attributes

NameTypeExampleDescription
idnumber, required10Document id
documentnrnumber, required1001Document number

Response 200

NameTypeExampleDescription
base64stringbinary dataDocument
REQUEST
https://cloudpos.be/api/v2/documentpdf.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 10,
  "documentnr": 1001
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/documentpdf.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 10,   "documentnr": 1001 }'
RESPONSE 200
{
  "base64": "binary data"
}
Download document in ubl
POST/documentubl.select

documentubl.select

Download document in ubl

Request attributes

NameTypeExampleDescription
idnumber, required10Document id

Response 200

NameTypeExampleDescription
base64stringbinary dataDocument
REQUEST
https://cloudpos.be/api/v2/documentubl.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 10
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/documentubl.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 10 }'
RESPONSE 200
{
  "base64": "binary data"
}
Download vatticket in pdf
POST/vatticketpdf.select

vatticketpdf.select

Download vatticket in pdf

Request attributes

NameTypeExampleDescription
idnumber, required10Document id
documentnrnumber, required1001Document number

Response 200

NameTypeExampleDescription
base64stringbinary dataDocument
REQUEST
https://cloudpos.be/api/v2/vatticketpdf.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "id": 10,
  "documentnr": 1001
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/vatticketpdf.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "id": 10,   "documentnr": 1001 }'
RESPONSE 200
{
  "base64": "binary data"
}

Credits

/credits
Get list of coupons
POST/coupon.select

coupon.select

Get list of coupons

Request attributes

NameTypeExampleDescription
start_idnumber1Begin coupon id
end_idnumber10End coupon id

Response 200

NameTypeExampleDescription
idnumber1coupon id
barcodestring12345678Barcode
valuestring100.00Value
valuetypeenumValue type
validfromstring`2020-12-01`Valid from
validuntilstring`2020-12-30`Valid until
usedbooleanfalseUsed
REQUEST
https://cloudpos.be/api/v2/coupon.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "start_id": 1,
  "end_id": 10
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/coupon.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "start_id": 1,   "end_id": 10 }'
RESPONSE 200
{
  "id": 1,
  "barcode": "12345678",
  "value": "100.00",
  "valuetype": null,
  "validfrom": "`2020-12-01`",
  "validuntil": "`2020-12-30`",
  "used": false
}
Create a new coupon
POST/coupon.insert

coupon.insert

Create a new coupon

Request attributes

NameTypeExampleDescription
barcodestring, required12345678Barcode
valuestring, required100.00Value
valuetypeenum, requiredValue type
validfromstring, required`2020-12-01`Valid from
validuntilstring, required`2020-12-30`Valid until

Response 200

NameTypeExampleDescription
successnumber1
REQUEST
https://cloudpos.be/api/v2/coupon.insert
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "barcode": "12345678",
  "value": "100.00",
  "valuetype": null,
  "validfrom": "`2020-12-01`",
  "validuntil": "`2020-12-30`"
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/coupon.insert' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "barcode": "12345678",   "value": "100.00",   "valuetype": null,   "validfrom": "`2020-12-01`",   "validuntil": "`2020-12-30`" }'
RESPONSE 200
{
  "success": 1
}
Get list of giftvouchers
POST/giftvoucher.select

giftvoucher.select

Get list of giftvouchers

Request attributes

No attributes

Response 200

NameTypeExampleDescription
idnumber1Voucher id
barcodestring12345678Barcode
valuestring100.00Value
validfromstring`2020-12-01`Valid from
validuntilstring`2020-12-30`Valid until
paymenttypeenum, requiredPayment type
REQUEST
https://cloudpos.be/api/v2/giftvoucher.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{}
cURL
curl -X POST 'https://cloudpos.be/api/v2/giftvoucher.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{}'
RESPONSE 200
{
  "id": 1,
  "barcode": "12345678",
  "value": "100.00",
  "validfrom": "`2020-12-01`",
  "validuntil": "`2020-12-30`",
  "paymenttype": null
}
Create a new giftvoucher
POST/giftvoucher.insert

giftvoucher.insert

Create a new giftvoucher

Request attributes

NameTypeExampleDescription
barcodestring, required12345678Barcode
valuestring, required100.00Value
validfromstring, required`2020-12-01`Valid from
validuntilstring, required`2020-12-30`Valid until
paymenttypeenum, requiredPayment type

Response 200

NameTypeExampleDescription
successnumber1
REQUEST
https://cloudpos.be/api/v2/giftvoucher.insert
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "barcode": "12345678",
  "value": "100.00",
  "validfrom": "`2020-12-01`",
  "validuntil": "`2020-12-30`",
  "paymenttype": null
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/giftvoucher.insert' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "barcode": "12345678",   "value": "100.00",   "validfrom": "`2020-12-01`",   "validuntil": "`2020-12-30`",   "paymenttype": null }'
RESPONSE 200
{
  "success": 1
}
Get list of customercredits
POST/customercredits.select

customercredits.select

Get list of customercredits

Request attributes

NameTypeExampleDescription
customeridnumber1000Customer id

Response 200

NameTypeExampleDescription
idnumber1Customercredit id
customeridnumber1000Customer id
valuestring100.00Value
tagidnumber12345678Tag number
tagtypeenumTag number
productidnumber100Product id, only with customerid filter
categoryidnumber10Category id, only with customerid filter
REQUEST
https://cloudpos.be/api/v2/customercredits.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "customerid": 1000
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/customercredits.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "customerid": 1000 }'
RESPONSE 200
{
  "id": 1,
  "customerid": 1000,
  "value": "100.00",
  "tagid": 12345678,
  "tagtype": null,
  "productid": 100,
  "categoryid": 10
}
Create a new customercredit
POST/customercredit.insert

customercredit.insert

Create a new customercredit

Request attributes

NameTypeExampleDescription
customeridstring, required1000Customer id
valuestring, required100.00Value
productidnumber100Product id, not use at the same time with Categorie id
categoryidnumber10Categorie id, not use at the same time with Product id
paymenttypeenum, requiredPayment type

Response 200

NameTypeExampleDescription
idnumber145id of the new customercredit
successnumber1
REQUEST
https://cloudpos.be/api/v2/customercredit.insert
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "customerid": "1000",
  "value": "100.00",
  "productid": 100,
  "categoryid": 10,
  "paymenttype": null
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/customercredit.insert' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "customerid": "1000",   "value": "100.00",   "productid": 100,   "categoryid": 10,   "paymenttype": null }'
RESPONSE 200
{
  "id": 145,
  "success": 1
}

Others

/others
Get list of users
POST/users.select

users.select

Get list of users

Request attributes

No attributes

Response 200

NameTypeExampleDescription
idnumber100User id
usernamestringJesseUsername
adminenumAdmin or user
secnrstring82032195321Social Security number
REQUEST
https://cloudpos.be/api/v2/users.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{}
cURL
curl -X POST 'https://cloudpos.be/api/v2/users.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{}'
RESPONSE 200
{
  "id": 100,
  "username": "Jesse",
  "admin": null,
  "secnr": "82032195321"
}
Get list of tables
POST/tables.select

tables.select

Get list of tables

Request attributes

No attributes

Response 200

NameTypeExampleDescription
idnumber100Table id
tablenumber3Number
statusenumAdmin or user
REQUEST
https://cloudpos.be/api/v2/tables.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{}
cURL
curl -X POST 'https://cloudpos.be/api/v2/tables.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{}'
RESPONSE 200
{
  "id": 100,
  "table": 3,
  "status": null
}
Get list of payment methods
POST/payment.select

payment.select

Get list of payment methods

Request attributes

No attributes

Response 200

NameTypeExampleDescription
idnumber1Payment id
paymentstringCashName
REQUEST
https://cloudpos.be/api/v2/payment.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{}
cURL
curl -X POST 'https://cloudpos.be/api/v2/payment.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{}'
RESPONSE 200
{
  "id": 1,
  "payment": "Cash"
}
Get list of printers
POST/printers.select

printers.select

Get list of printers

Request attributes

No attributes

Response 200

NameTypeExampleDescription
idnumber1Printer id
printernamestringKitchenprinterName
REQUEST
https://cloudpos.be/api/v2/printers.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{}
cURL
curl -X POST 'https://cloudpos.be/api/v2/printers.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{}'
RESPONSE 200
{
  "id": 1,
  "printername": "Kitchenprinter"
}
Get list of establishments
POST/establishments.select

establishments.select

Get list of establishments

Request attributes

No attributes

Response 200

NameTypeExampleDescription
idnumber1Id
namestringStandard establishmentEstablishment name
REQUEST
https://cloudpos.be/api/v2/establishments.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{}
cURL
curl -X POST 'https://cloudpos.be/api/v2/establishments.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{}'
RESPONSE 200
{
  "id": 1,
  "name": "Standard establishment"
}

Deprecated

/deprecated
Deprecated, see v2
POST/order.select

order.select

Deprecated, see v2

Request attributes

NameTypeExampleDescription
start_idnumber1Begin order id
end_idnumber10End order id
datestring`2020-12-01`Filter on date
clockinclockoutbooleanfalseFilter on clockinclockout
dbidnumber10Unique ticket database id
kassaidnumber1Cash register id
establishmentidnumber1Establishment id

Response 200

NameTypeExampleDescription
dbidnumber1Unique ticket database id
idnumber1Ticket number
customeridnumber10000Customer id
establishmentidnumber1Establishment id
kassaidnumber1Cash register id
totalpricestring100.00Total price incl. tax
usernumber100User id
ordertimestring`2020-12-01 12:00:00`Order date time
tablenumbernumber10Table number
clockinbooleanfalseClockin
clockoutbooleanfalseClockout
orderdetailarrayOrder details array
quantitynumber1quantity
productidnumber100Product id
productpricestring90.00Product price
producttaxenumProduct tax
subproduct1idnumber2Subproduct id 1-10
subproduct1pricestring10.00Subproduct price 1-10
subproduct1taxenumSubproduct tax 1-10
cashpaymentstring100.00Cash payment incl. vat
bancontactpaymentstring0.00Bancontact payment incl. vat
voucherpaymentstring0.00Voucher payment incl. vat
transferpaymentstring0.00Transfer payment incl. vat
visapaymentstring0.00Visa payment incl. vat
chargecardpaymentstring0.00Chargecard payment incl. vat
luncheoncardpaymentstring0.00Luncheoncard payment incl. vat
americanexpresspaymentstring0.00Americanexpress payment incl. vat
mastercardpaymentstring0.00Mastercard payment incl. vat
respaymentstring0.00RES payment incl. vat
payconiqpaymentstring0.00Payconiq payment incl. vat
tgtgpaymentstring0.00Too Good To Go payment incl. vat
paybonsaipaymentstring0.00Paybonsai payment incl. vat
REQUEST
https://cloudpos.be/api/v2/order.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "start_id": 1,
  "end_id": 10,
  "date": "`2020-12-01`",
  "clockinclockout": false,
  "dbid": 10,
  "kassaid": 1,
  "establishmentid": 1
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/order.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "start_id": 1,   "end_id": 10,   "date": "`2020-12-01`",   "clockinclockout": false,   "dbid": 10,   "kassaid": 1,   "establishmentid": 1 }'
RESPONSE 200
{
  "dbid": 1,
  "id": 1,
  "customerid": 10000,
  "establishmentid": 1,
  "kassaid": 1,
  "totalprice": "100.00",
  "user": 100,
  "ordertime": "`2020-12-01 12:00:00`",
  "tablenumber": 10,
  "clockin": false,
  "clockout": false,
  "orderdetail": null,
  "quantity": 1,
  "productid": 100,
  "productprice": "90.00",
  "producttax": null,
  "subproduct1id": 2,
  "subproduct1price": "10.00",
  "subproduct1tax": null,
  "cashpayment": "100.00",
  "bancontactpayment": "0.00",
  "voucherpayment": "0.00",
  "transferpayment": "0.00",
  "visapayment": "0.00",
  "chargecardpayment": "0.00",
  "luncheoncardpayment": "0.00",
  "americanexpresspayment": "0.00",
  "mastercardpayment": "0.00",
  "respayment": "0.00",
  "payconiqpayment": "0.00",
  "tgtgpayment": "0.00",
  "paybonsaipayment": "0.00"
}
Deprecated, see v2
POST/zreports.select

zreports.select

Deprecated, see v2

Request attributes

NameTypeExampleDescription
start_idnumber1Begin id
end_idnumber10End id

Response 200

NameTypeExampleDescription
idnumber1Report id
establishmentidnumber1Establishment id
kassaidnumber1Cash register id
startdatestring`2020-12-01 08:00:00`Begin of report
enddatestring`2020-12-01 18:00:00`End of report
startticketstring1Begin order id
endticketstring200End order id
ticketcountstring200Ticket count
ta0string0.00Taxable amount excl. vat 0%
ta6string0.00Taxable amount excl. vat 6%
ta12string0.00Taxable amount excl. vat 12%
ta21string1000.00Taxable amount excl. vat 21%
cashpaymentstring1210.00Cash payment incl. vat
bancontactpaymentstring0.00Bancontact payment incl. vat
voucherpaymentstring0.00Voucher payment incl. vat
transferpaymentstring0.00Transfer payment incl. vat
visapaymentstring0.00Visa payment incl. vat
chargecardpaymentstring0.00Chargecard payment incl. vat
luncheoncardpaymentstring0.00Luncheoncard payment incl. vat
americanexpresspaymentstring0.00Americanexpress payment incl. vat
mastercardpaymentstring0.00Mastercard payment incl. vat
respaymentstring0.00RES payment incl. vat
payconiqpaymentstring0.00Payconiq payment incl. vat
totalexclvatstring1000.00Total price excl. vat
totalinclvatstring1210.00Total price incl. vat
100number
200number
1000number
2000number
10number
20number
21number
12number
9number
6number
0number
barcodestring
rfidstring
1numberInvoice
2numberOffer
3numberCredit note
5numberDelivery note
1numberMoney value
2numberPercent
1numberAdmin
0numberUser
0numberNot in use
1numberIn use
2numberWait for bill
1numberCash
2numberBancontact
3numberTransfer
4numberVisa
5numberMeal vouchers
6numberGift voucher
7numberCharging card
8numberAmerican Express
9numberMastercard
10numberSeqr
11numberRES
12numberPayconiq
13numberToo Good To Go
14numberPayBonsai
6numberBelgium
29numberThe Netherlands
26numberLuxembourg
REQUEST
https://cloudpos.be/api/v2/zreports.select
HEADERS
Licensename: Licensename
Token: Token
BODY
{
  "start_id": 1,
  "end_id": 10
}
cURL
curl -X POST 'https://cloudpos.be/api/v2/zreports.select' \
  -H 'Content-Type: application/json' \
  -H 'Licensename: Licensename' \
  -H 'Token: Token' \
  -d '{   "start_id": 1,   "end_id": 10 }'
RESPONSE 200
{
  "id": 1,
  "establishmentid": 1,
  "kassaid": 1,
  "startdate": "`2020-12-01 08:00:00`",
  "enddate": "`2020-12-01 18:00:00`",
  "startticket": "1",
  "endticket": "200",
  "ticketcount": "200",
  "ta0": "0.00",
  "ta6": "0.00",
  "ta12": "0.00",
  "ta21": "1000.00",
  "cashpayment": "1210.00",
  "bancontactpayment": "0.00",
  "voucherpayment": "0.00",
  "transferpayment": "0.00",
  "visapayment": "0.00",
  "chargecardpayment": "0.00",
  "luncheoncardpayment": "0.00",
  "americanexpresspayment": "0.00",
  "mastercardpayment": "0.00",
  "respayment": "0.00",
  "payconiqpayment": "0.00",
  "totalexclvat": "1000.00",
  "totalinclvat": "1210.00",
  "100": null,
  "200": null,
  "1000": null,
  "2000": null,
  "10": null,
  "20": null,
  "21": null,
  "12": null,
  "9": null,
  "6": null,
  "0": null,
  "barcode": null,
  "rfid": null,
  "1": null,
  "2": null,
  "3": null,
  "5": null,
  "4": null,
  "7": null,
  "8": null,
  "11": null,
  "13": null,
  "14": null,
  "29": null,
  "26": null
}